isInRange {seqminer} | R Documentation

## Test whether a vector of positions are inside given ranges

### Description

Test whether a vector of positions are inside given ranges

### Usage

    isInRange(positions, rangeList)

### Arguments

`positions` | characters, positions. e.g. c("1:2-3", "1:4")
`rangeList` | character, ranges, e.g. "1:1-3,1:2-4"

### Value

logical vector, TRUE/FALSE/NA

### Examples

    positions <- c("1:2-3", "1:4", "XX")
    ranges <- "1:1-3,1:2-4,1:5-10"
    isInRange(positions, ranges)

[Package seqminer version 7.1 Index]